



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>OutputCache祥解</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">OutputCache祥解</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-08 13:39:27 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<p>当用户訪问页面时，整个页面将会被server保存在内存中，这样就对页面进行了缓存。当用户再次訪问该页，页面不会再次运行数据操作，页面首先会检查server中是否存在缓存，假设缓存存在，则直接从缓存中获取页面信息，假设页面不存在，则创建缓存。</p>
<p>页面输出缓存适用于那些数据量较多，而不会进行过多的事件操作的页面，假设一个页面须要运行大量的事件更新，以及数据更新，则并不能使用页面输出缓存。使用@OutputCatch指令可以声明页面输出缓存，演示样例代码例如以下所看到的。</p>
<p>&lt;%@ OutputCache Duration="120" VaryByParam="none" %&gt;</p>
<p>上述代码使用@OutputCatch指令声明了页面缓存，该页面将被缓存120秒。@OutputCatch指令包含10个属性，通过这些属性可以分别为页面的不同情况进行缓存设置，经常使用的属性例如以下所看到的：</p>
<p>q CacheProfile：获取或设置OutputCacheProfile名称。</p>
<p>q Duration：获取或设置缓存项须要保留在缓存中的时间。</p>
<p>q VaryByHeader：获取或设置用于改变缓存项的一组都好分隔的HTTP标头名称。</p>
<p>q Location：获取或设置一个值，该值确定缓存项的位置，包含Any、Clint、Downstream、None、Server和ServerAndClient。默认值为Any。</p>
<p>q VaryByControl：获取或设置一簇分好分隔的控件标识符，这些标识符包括在当前页或用户控件内，用于改变当前的缓存项。</p>
<p>q NoStore：获取或设置一个值，该值确定是否设置了&ldquo;Http Cache-Control：no-store&rdquo;指令。</p>
<p>q VaryByCustom：获取输出缓存用来改变缓存项的自己定义字符串列表。</p>
<p>q Enabled：获取或设置一个值，该值指示是否对当前内容启用了输出缓存。</p>
<p>q VaryByParam：获取查询字符串或窗口POST參数的列表。</p>
<p>通过设置对应的属性，能够为页面设置对应的缓存，当须要为Default.aspx设置缓存项时，能够使用VaryByParam属性进行设置，演示样例代码例如以下所看到的。</p>
<p>&lt;%@ OutputCache Duration="120" VaryByParam="none" %&gt;</p>
<p>上述代码使用了Duration属性和VarByParam属性设置了当前页的缓存属性。为一个页面进行总体的缓存设置往往是没有必要的，经常还会造成困扰，比如Default.aspx?id=1和Default.aspx?id=100在缓存时可能呈现的页面是同样的，这往往不是开发者所希望的。通过配置VarByParam属性可以指定缓存參数，演示样例代码例如以下所看到的。</p>
<p>&lt;%@ OutputCache Duration="120" VaryByParam="id" %&gt;</p>
<p>上述代码则通过參数id进行缓存，当id项不同一时候，ASP.NET所进行的页面缓存也不尽同样。这样保证了Default.aspx?id=1和Default.aspx?id=100在缓存时所显示的页面并不一致。VarByHeader和VarByCustom主要用于依据訪问页面的client对页面的外观或内容进行自己定义。在ASP.NET中，一个页面可能须要为PC用户和MOBILE用户呈现输出，因此能够通过client的版本号不同来缓存不同的数据，演示样例代码例如以下所看到的。</p>
<p>&lt;%@ OutputCache Duration="120" VaryByParam="none" VaryByCustom="browser" %&gt;</p>
<p>上述代码则为每一个浏览器单独设置了缓存条目。</p>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r93602g9.html">深入理解计算机系统（2&period;7）---二进制浮点数，IEEE标准（重要）</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gk4ye8.html">100722C</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmj04l9.html">庭审精彩语录整理 z</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjkzdd9.html">前端优化分析 之 javascript引用位置优化</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e16jkj9.html">Java基础知识强化之IO流笔记33：转换流之InputStreamReader的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e166pj9.html">C&plus;&plus;判断Office版本&mdash;&mdash;转载</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdeyp5x9.html">UVa 673 Parentheses Balance（栈的使用）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljee7k9.html">poj 1204 Word Puzzles&lpar;字典树&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg760r8.html">iptables规则进阶</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z6zle9.html">【luogu P1613】跑路</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zolddnq.html">Appium python</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y134w8.html">GDAL C&num;读取shp中文属性值乱码问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd5lrk9.html">SDL2源代码分析4：纹理（SDL&lowbar;Texture）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgxo1m8.html">2、搭建一个简单的Web项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjm0lz9.html">SQL语句整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o144rxq.html">浅谈SnackBar&lpar;Toast大兄弟&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvnpzx8.html">Generative Adversarial Nets&lbrack;pix2pix&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2z1my9.html">Vector使用测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2pg10q.html">Maya mayapy&period;exe 安装 Cython，编译 pyd</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdzl0j9.html">DJango 基础&lpar;6&rpar;</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qvv4lxxq.html">android&colon;launchMode&equals;&amp;quot&semi;singleTask&amp;quot&semi; 与 onNewIntent&lpar;Intent intent&rpar; 的用法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qde77o09.html">Android恢复出厂设置流程分析【Android源码解析十】</a>
			</li>
						<li><a href="https://www.batexi.com/a/96ovv5v9.html">fragment的入门DEMO</a>
			</li>
						<li><a href="https://www.batexi.com/a/95x22n68.html">RelativeLayout经常使用属性介绍</a>
			</li>
						<li><a href="https://www.batexi.com/a/qde77yx9.html">HDU 4122 Alice&amp;&num;39&semi;s mooncake shop （单调队列&sol;线段树）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmo2wl9.html">Linux 下提高make的编译效率</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlm6z7k9.html">&lpar;转&rpar;实例详解CSS中position的fixed属性使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/8okmxwe9.html">C&num;  sql操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1x3z69.html">C&num;实现防拷贝工具示例</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vzmnn8.html">java zip工具类</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
